> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Policy Atomizer

> Atomize a policy and get rules after analyzing a PDF document



## OpenAPI

````yaml POST /guardrails/policy-atomizer
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /guardrails/policy-atomizer:
    post:
      tags:
        - Code of Conduct
      summary: Create Atomized rules with file or text
      operationId: create_atomized_rules
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PolicyAtomizerRequestFormData'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyAtomizerResponseObject'
components:
  schemas:
    PolicyAtomizerRequestFormData:
      type: object
      properties:
        file:
          type: string
          format: binary
          description: PDF file containing the policy document if not provided in the text
        text:
          type: string
          description: Optional policy text content if not provided in the file
          nullable: true
          default: ''
    PolicyAtomizerResponseObject:
      title: PolicyAtomizerResponseObject
      type: object
      properties:
        status:
          title: Status
          type: string
          example: success
        message:
          title: Message
          type: string
          example: Text processed successfully
        source:
          title: Source
          type: string
          example: text
        filename:
          title: Filename
          type: string
          example: ''
        total_rules:
          title: Total Rules
          type: integer
          example: 4
        policy_rules:
          title: Policy Rules
          type: string
          example: >-
            1. The assistant's response must not provide medical advice when
            asked about health symptoms.

            2. The assistant's response must not promote violence or harm.

            3. The assistant's response must be respectful of users and their
            privacy.

            4. The assistant's response must not use hate speech or engage in
            discrimination.
      required:
        - status
        - message
        - source
        - filename
        - total_rules
        - policy_rules
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````